Bug 810578 - Wrong function call affecting Magny-Cours and Interlagos CPUs
Wrong function call affecting Magny-Cours and Interlagos CPUs
Product: Fedora
Classification: Fedora
Component: acpi (Show other bugs)
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-04-06 16:24 EDT by Lisandro Grullon
Modified: 2013-08-01 06:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-08-01 06:57:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lisandro Grullon 2012-04-06 16:24:36 EDT
Description of problem:

It seems that the latest build of Fedora RC3 Dated April 4, 2012 has a small bug upon but, if a box is using a Magny-Cours or Interlagos CPU the user will be presented with a series of warnings of the following nature:

"0.002999 NUMA corenumber 1 differs from configured number 0"

A series of the above errors will follow the screen considering the core count and finally go to its normal routine then the system boots normally. I am pointing this out to get a cleaner release. The link bellow will give you guys a pointer to fix this bug at the acpi and cpu header files.


I hope this is helpful and let me know if some of you are able to replicate the bug. Thanks in advance.

Version-Release number of selected component (if applicable):

How reproducible:
I tried with four identical boxes using Magny-Cours CPU and they all present the same signs upon booting from the GRUB loader.

Steps to Reproduce:
1.Load Fedora 17
2.While leaving the GRUB loader screen the errors/warning will appear in console.
3.The system boots normally after that.
Actual results:
Hope a patch can be included in the final release. Look at my link, hope it help troubleshoot.

Expected results:
Patch included in the final release of Fedora 17

Additional info: Here is a YOUTUBE video showing the problem live. 

Comment 1 Fedora End Of Life 2013-07-03 23:26:02 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 06:57:14 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.